shishi_tkts_print_for_service(3)

NAME
shishi_tkts_print_for_service - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkts_print_for_service(Shishi_tkts * tkts, FILE * fh, const char * service);

ARGUMENTS

Shishi_tkts * tkts
    ticket set handle as allocated by shishi_tkts().

FILE * fh
    file descriptor to print to.

const char * service
    service to limit tickets printed to, or NULL.

DESCRIPTION
Print description of tickets for specified service to file descriptor. If service is NULL, all tickets are printed.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.